curl --request GET \
--url https://api.mansafinance.co/api/v1/liquidity/management/repayments/{id} \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <api-key>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "interest",
"amount": "<string>",
"chain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"loan_id": "<string>",
"status": "SUBMITTED",
"paid_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Retrieve a specific repayment by ID.
curl --request GET \
--url https://api.mansafinance.co/api/v1/liquidity/management/repayments/{id} \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <api-key>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "interest",
"amount": "<string>",
"chain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"loan_id": "<string>",
"status": "SUBMITTED",
"paid_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Documentation Index
Fetch the complete documentation index at: https://docs.mansafinance.co/llms.txt
Use this file to discover all available pages before exploring further.
API key for authentication
JWT token following RFC001 specification
ID of the repayment to retrieve
Repayment retrieved successfully
interest, principal, penalty SUBMITTED, PENDING_SCREENING, PENDING_ENRICHMENT, PENDING_AUTHORIZATION, QUEUED, PENDING_SIGNATURE, PENDING_3RD_PARTY_MANUAL_APPROVAL, PENDING_3RD_PARTY, BROADCASTING, CONFIRMING, COMPLETED, CANCELLING, CANCELLED, BLOCKED, REJECTED, FAILED